pollingPage:
    path: /page
    controller: App\Controller\Application::index
    methods: [GET]
    
pollingData:
    path: /data
    controller: App\Controller\Polling\Poll::data
    methods: [GET]
    
pollingPollForm:
    path: /poll/form/{id}
    controller: App\Controller\Polling\Poll::frm
    methods: [GET]
    requirements:
        id: \d+
    defaults: 
        id: -1
        
pollingPollPost:
    path: /poll/post
    controller: App\Controller\Polling\Poll::post
    methods: [POST]
        
pollingPoll:
    path: /poll/{id}
    controller: App\Controller\Application::index
    methods: [GET]
    requirements:
        id: \d+
    defaults: 
        id: -1
        
pollingPollToVote:
    path: /poll/to/vote/{id}
    controller: App\Controller\Polling\Poll::toVote
    methods: [GET]
    requirements:
        id: \d+
    defaults: 
        id: -1

pollingPollVote:
    path: /poll/vote
    controller: App\Controller\Polling\Poll::vote
    methods: [POST]
        
pollingOwnerVotes:
    path: /owner/votes/{poll_id}/{owner_id}
    controller: App\Controller\Polling\Poll::ownerVotes
    methods: [GET]
    requirements:
        poll_id: \d+
        owner_id: \d+
    defaults: 
        poll_id: -1
        owner_id: -1
    
pollingResultPage:    
    path: /result/page/{poll_id}
    controller: App\Controller\Application::index
    methods: [GET]
    requirements:
        poll_id: \d+
    defaults: 
        poll_id: -1

pollingResultData:    
    path: /result/data/{id}
    controller: App\Controller\Polling\Poll::result
    methods: [GET]
    requirements:
        id: \d+
    defaults: 
        id: -1
    
pollingBulletin:
    path: /bulletin/{poll_id}/{owner_id}
    controller: App\Controller\Polling\Poll::bulletin
    methods: [GET]
    requirements:
        poll_id: \d+
        owner_id: \d+
    defaults: 
        poll_id: -1
        owner_id: -1
        
pollingResultExcel:        
    path: /result/excel
    controller: App\Controller\Polling\Poll::resultExcel
    methods: [POST]
    